Git submodule update fails when installing museplayer


#1

I am trying to install museplayer on my Mac as described here:

However, when I enter the command:
git submodule update

I get the error:
"Permission denied (publickey).
fatal: Could not read from remote repository.

Please make sure you have the correct access rights
and the repository exists."

Are the instructions out of date or am I accessing the repo incorrectly?


#2

If you’re just wanting to install MusePlayer:
You DO NOT need to bother with building the project from bitbucket. You can install MusePlayer by running the installer on this page. You should see a Download Tools For Mac button at the top. It’s also available for Windows/Linux.

If you genuinely wish to build the project:
You’ll need to create a bitbucket account, and set up SSH key authentication. This page has good instructions for it.

Alternatively, you can edit the .gitmodule file to have it update over HTTPS instead of SSH, and then run git submodule sync. This post has more info.


#3

Thanks!
That did the trick.
Just to clarify for future readers though, you want to click on:
“Download Tools for Mac” not “MusePlayer” on this page: